package com.cm.common.pojo.vos.templateconfig;

import com.cm.common.annotation.CheckEmptyAnnotation;
import com.cm.common.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: TemplateVO
 * @Description: 模板表
 * @Author: WenG
 * @Date: 2020-05-07 16:44
 * @Version: 1.0
 **/
@ApiModel
public class TemplateConfigVO {

    @ApiModelProperty(name = "templateCode", value = "模板编码")
    @CheckEmptyAnnotation(name = "模板编码")
    private String templateCode;
    @ApiModelProperty(name = "templateUrl", value = "服务器路径")
    private String templateUrl;
    @ApiModelProperty(name = "templateName", value = "模板名称")
    @CheckEmptyAnnotation(name = "模板名称")
    private String templateName;
    @ApiModelProperty(name = "templateContent", value = "模板内容")
    private String templateContent;
    @ApiModelProperty(name = "templateRootPath", value = "存储根路径")
    @CheckEmptyAnnotation(name = "存储根路径")
    private String templateRootPath;
    @ApiModelProperty(name = "templateOrder", value = "模板排序")
    @CheckNumberAnnotation(name = "模板排序")
    private Double templateOrder;
    @ApiModelProperty(name = "templateFile", value = "模板附件")
    private String templateFile;
    @ApiModelProperty(name = "templateAllGenerate", value = "模板批量生成接口")
    @CheckEmptyAnnotation(name = "模板批量生成接口")
    private String templateAllGenerate;

    public String getTemplateAllGenerate() {
        return templateAllGenerate == null ? "" : templateAllGenerate;
    }

    public void setTemplateAllGenerate(String templateAllGenerate) {
        this.templateAllGenerate = templateAllGenerate;
    }

    public String getTemplateFile() {
        return templateFile;
    }

    public void setTemplateFile(String templateFile) {
        this.templateFile = templateFile;
    }

    public String getTemplateCode() {
        return templateCode == null ? "" : templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }

    public String getTemplateUrl() {
        return templateUrl == null ? "" : templateUrl;
    }

    public void setTemplateUrl(String templateUrl) {
        this.templateUrl = templateUrl;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public String getTemplateContent() {
        return templateContent == null ? "" : templateContent;
    }

    public void setTemplateContent(String templateContent) {
        this.templateContent = templateContent;
    }


    public String getTemplateRootPath() {
        return templateRootPath == null ? "" : templateRootPath;
    }

    public void setTemplateRootPath(String templateRootPath) {
        this.templateRootPath = templateRootPath;
    }

    public Double getTemplateOrder() {
        return templateOrder == null ? 0D : templateOrder;
    }

    public void setTemplateOrder(Double templateOrder) {
        this.templateOrder = templateOrder;
    }


}
